



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>MIP开发教程(二)  使用MIP-CLI工具调试MIP网页</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">MIP开发教程(二)  使用MIP-CLI工具调试MIP网页</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-25 10:53:40 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<ul><li><a href="#no1" rel="external nofollow noreferrer">初始化 MIP 配置</a></li>
<li><a href="#no2" rel="external nofollow noreferrer">新建一个 MIP 网页</a></li>
<li><a href="#no3" rel="external nofollow noreferrer">编写 MIP 网页代码</a></li>
<li><a href="#no4" rel="external nofollow noreferrer">校验 MIP 网页</a></li>
<li><a href="#no5" rel="external nofollow noreferrer">调试 MIP 网页</a></li></ul>
<div>   </div>
<h2>1. 初始化 MIP 配置</h2>
<p>首先在<code>html</code>目录下进行初始化 MIP 配置：</p>
<pre class="prettyprint linenums"><code>$ mip init<br />
</code></pre>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/1049547/201701/1049547-20170117205857896-691226082.jpg"></p>
<p>此时会创建<code>mip.config</code>文件：<br /><br />
<img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/1049547/201701/1049547-20170117205906067-943605067.jpg"></p>
<div>   </div>
<h2>2. 新建一个 MIP 网页</h2>
<p>在<code>mip-project/html</code>文件夹下输入如下命令：</p>
<pre class="prettyprint linenums"><code>$ mip add index.html<br />
</code></pre>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/1049547/201701/1049547-20170117205917021-1703101578.jpg"></p>
<p>成功添加后，本地文件夹中会出现 index.html 文件，这就是一个基础的 MIP 页面</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/1049547/201701/1049547-20170117205924927-116737434.jpg"></p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/1049547/201701/1049547-20170117205937849-1979695789.jpg"></p>
<p>在新建网页的时候可以添加需要载入的 MIP 组件 JavaScript 脚本，例如：</p>
<pre class="prettyprint linenums"><code>$ mip add index.html mip-share<br />
</code></pre>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/1049547/201701/1049547-20170117205946880-577499843.jpg"></p>
<p>将在<code>index.html</code>中载入<code>mip-share</code>组件的 JavaScript 脚本</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/1049547/201701/1049547-20170117210013755-2129757249.jpg"></p>
<div>   </div>
<h2>3. 编写 MIP 网页代码</h2>
<p>MIP 页面新手指南可参见 <a href="https://www.mipengine.org/doc/00-mip-101.html" rel="external nofollow noreferrer">官网文档-新手指南</a>。在编写 MIP 代码的时候需要注意符合 MIP 网页规范，否则通不过 MIP 校验程序，MIP 校验规则地址：<a href="https://www.mipengine.org/doc/2-tech/2-validate-mip.html%E3%80%82" rel="external nofollow noreferrer">https://www.mipengine.org/doc/2-tech/2-validate-mip.html。</a></p>
<div>   </div>
<h2>4. 校验 MIP 网页</h2>
<pre class="prettyprint linenums"><code>$ mip validate index.html<br />
</code></pre>
<p>出现<code>ERROR</code>的条目通不过 MIP 校验，需要进行修改。</p>
<p>例如：</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/1049547/201701/1049547-20170117210022958-658656662.jpg"></p>
<p>** 注意 **：<br /><br />
MIP 页面应该为<code>utf-8</code>编码，其他编码格式通不过校验，如果需要使用其他编码格式，可以使用线上校验器粘贴代码进行校验，<br /><br />
线上校验器地址： <a href="https://www.mipengine.org/validator/validate%E3%80%82" rel="external nofollow noreferrer">https://www.mipengine.org/validator/validate。</a></p>
<div>   </div>
<h2>5. 调试 MIP 网页</h2>
<p>进入到 html 项目目录，启动<code>mip server</code></p>
<pre class="prettyprint linenums"><code>$ mip server<br />
</code></pre>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/1049547/201701/1049547-20170117210036536-1416730506.jpg"></p>
<p>访问<code>http://127.0.01:8000</code>进入调试页面:</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/1049547/201701/1049547-20170117210058317-743163661.jpg"></p>
<p>** 注意 **：</p>
<p><code>mip server</code>默认监听<code>8000</code>和<code>35730</code>端口，如果有端口冲突可以在<code>mip.config</code>中修改启动端口。</p>
<p>也可以使用<code>mip server -f</code>命令强制关闭当前占用端口的 node 进程 (windows 下无效)。</p>
<hr>
本系列共有四篇文章：</p>
<ul><li><a href="http://www.cnblogs.com/mipengine/p/mip_cli_1_install.html" rel="external nofollow noreferrer">MIP 开发教程 (一)  MIP-CLI 工具安装与环境部署</a></li>
<li>MIP 开发教程 (二)  使用 MIP-CLI 工具调试 MIP 网页</li>
<li><a href="http://www.cnblogs.com/mipengine/p/mip_cli_3_extension.html" rel="external nofollow noreferrer">MIP 开发教程 (三)  使用 MIP-CLI 工具调试组件</a></li>
<li><a href="http://www.cnblogs.com/mipengine/p/extension_platform.html" rel="external nofollow noreferrer">MIP 开发教程 (四)  MIP 组件平台使用说明</a></li></ul>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/rqlmw019.html">&lbrack;LeetCode&rsqb; Excel Sheet Column Number 求Excel表列序号</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zjk6d9.html">php操作ini配置文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q23wzw9.html">安装Nginx作为Windows服务自启动运行</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8k2ve78.html">使用JQuery Ajax请求，在Controller里获取Session</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq1yy50q.html">Redux-Form学习笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qn6vk39.html">MVC - 17&period;OA项目</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qwgv6y8.html">python函数递归和生成器</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qx3l10q.html">zend 快捷键</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8enzzj8.html">在Vs2012 中使用SQL Server 2012 Express LocalDB打开Sqlserver2012数据库</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9pzx0d8.html">java并发库 Lock 公平锁和非公平锁</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4yp0n3q.html">verilog语法之memory存储器</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1pd438.html">&lbrack;&period;NET &vert; 發佈&rsqb; 如何指定固定的目錄給程式調用的外部DLL？</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv4n7yq.html">jQuery图片延迟加载插件</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp016r9.html">Opencv 学习资料集合（更新中。。。）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1j0poq.html">&period;NET及&period;NET Core系统架构</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4z227j9.html">Python内置函数详解&mdash;&mdash;总结篇</a>
		</li>
						<li><a href="https://www.batexi.com/a/96p62248.html">使用Apache JMeter对SQL Server、Mysql、Oracle压力测试（三）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zy0vgd9.html">ALGO-13&lowbar;蓝桥杯&lowbar;算法训练&lowbar;拦截导弹&lpar;贪心，DP&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7ezv7k9.html">阅读日志： 微信小程序的风口只有一天？</a>
		</li>
						<li><a href="https://www.batexi.com/a/953nzn68.html">BIO、NIO、AIO三者的比较</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/96pw1yn8.html">Java历程-初学篇    Day01初识java</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zon533q.html">ucloud mysql</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1k7mm59.html">jmeter 监听器聚合报告说明：</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pd4nnk9.html">Jenkins 的安装部署</a>
			</li>
						<li><a href="https://www.batexi.com/a/96prj748.html">selenium提供的截图功能</a>
			</li>
						<li><a href="https://www.batexi.com/a/90m3vnn8.html">python二维码生成器</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdpypzvq.html">Java 学习笔记 &lpar;七&rpar; Java 参数</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2jzj1x8.html">Django的ORM操作</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pd4pjk9.html">Evensgn 剪树枝 树规</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4zom609.html">python 小练习题做起来</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
